Bug 185717 - japanese/ebview-gtk2: Fix build with clang
Summary: japanese/ebview-gtk2: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-12 18:40 UTC by tkato432
Modified: 2014-01-25 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (6.07 KB, patch)
2014-01-12 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-12 18:40:10 UTC
- Fix build with clang
- Add LICENSE

New file:
files/patch-data__Makefile.in
files/patch-doc__Makefile.in
files/patch-po__Makefile.in.in
Comment 1 Martin Wilke freebsd_committer 2014-01-19 14:30:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-01-19 14:30:53 UTC
Author: miwi
Date: Sun Jan 19 14:30:23 2014
New Revision: 340308
URL: http://svnweb.freebsd.org/changeset/ports/340308
QAT: https://qat.redports.org/buildarchive/r340308/

Log:
  - Fix build with clang
  
  PR:		185717
  Submitted by:	ports fury

Added:
  head/japanese/ebview-gtk2/files/patch-data__Makefile.in   (contents, props changed)
  head/japanese/ebview-gtk2/files/patch-doc__Makefile.in   (contents, props changed)
  head/japanese/ebview-gtk2/files/patch-po__Makefile.in.in   (contents, props changed)
Modified:
  head/japanese/ebview-gtk2/Makefile   (contents, props changed)

Modified: head/japanese/ebview-gtk2/Makefile
==============================================================================
--- head/japanese/ebview-gtk2/Makefile	Sun Jan 19 14:29:28 2014	(r340307)
+++ head/japanese/ebview-gtk2/Makefile	Sun Jan 19 14:30:23 2014	(r340308)
@@ -10,36 +10,35 @@ PKGNAMESUFFIX=	-gtk2
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
+LICENSE=	GPLv2 # (or later)
 
-CONFLICTS=	ja-ebview-0*
+LIB_DEPENDS=	libeb.so:${PORTSDIR}/japanese/eb
 
-USES=		pkgconfig
-USE_GNOME=	gtk20
-USE_GMAKE=	yes
-GNU_CONFIGURE=	yes
+CONFLICTS=	ja-ebview-[0-9]*
+
+USES=		gettext gmake pkgconfig
+USE_GNOME=	gtk20 pangox-compat
 USE_CSTD=	gnu89
-CONFIGURE_ARGS+=--with-eb-conf=${LOCALBASE}/etc/eb.conf
-CPPFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-eb-conf=${LOCALBASE}/etc/eb.conf
 
 SUB_FILES=	ebview.desktop
 
-NO_STAGE=	yes
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
 post-patch:
-	@${REINPLACE_CMD} -e \
-		's|-pthread|${PTHREAD_LIBS:S/"//g}|g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|#define GTK_DISABLE_DEPRECATED 1||g' \
 		${WRKSRC}/src/ebview.c
 
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/pixmaps/ebview.xpm ${PREFIX}/share/pixmaps/
-	${INSTALL_DATA} ${WRKDIR}/${SUB_FILES} ${PREFIX}/share/applications/
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-.for file in ChangeLog README
-	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
+	(cd ${WRKDIR} && ${INSTALL_DATA} ${SUB_FILES} \
+		${STAGEDIR}${DESKTOPDIR})
+	(cd ${WRKSRC}/pixmaps && ${INSTALL_DATA} ebview.xpm \
+		${STAGEDIR}${PREFIX}/share/pixmaps)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+.for i in ChangeLog README
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor
-.endif
 
 .include <bsd.port.mk>

Added: head/japanese/ebview-gtk2/files/patch-data__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ebview-gtk2/files/patch-data__Makefile.in	Sun Jan 19 14:30:23 2014	(r340308)
@@ -0,0 +1,19 @@
+--- data/Makefile.in.orig
++++ data/Makefile.in
+@@ -304,13 +304,13 @@
+ 
+ install:
+ 	if test -r $(MKINSTALLDIRS); then \
+-		$(MKINSTALLDIRS) $(pkgdatadir); \
++		$(MKINSTALLDIRS) $(DESTDIR)$(pkgdatadir); \
+ 	else \
+-		$(top_srcdir)/mkinstalldirs $(pkgdatadir); \
++		$(top_srcdir)/mkinstalldirs $(DESTDIR)$(pkgdatadir); \
+ 	fi; \
+ 	data="$(data)"; \
+ 	for file in $$data; do \
+-		$(INSTALL_DATA) $(srcdir)/$$file $(pkgdatadir)/$$file; \
++		$(INSTALL_DATA) $(srcdir)/$$file $(DESTDIR)$(pkgdatadir)/$$file; \
+ 	done;
+ 
+ # Define this as empty until I found a useful application.

Added: head/japanese/ebview-gtk2/files/patch-doc__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ebview-gtk2/files/patch-doc__Makefile.in	Sun Jan 19 14:30:23 2014	(r340308)
@@ -0,0 +1,21 @@
+--- doc/Makefile.in.orig
++++ doc/Makefile.in
+@@ -308,15 +308,15 @@
+ 	dir="$(dir)"; \
+ 	for lang in $$dir; do \
+ 		if test -r $(MKINSTALLDIRS); then \
+-			$(MKINSTALLDIRS) $(pkgdatadir)/help/$$lang; \
++			$(MKINSTALLDIRS) $(DESTDIR)$(pkgdatadir)/help/$$lang; \
+ 		else \
+-			$(top_srcdir)/mkinstalldirs $(pkgdatadir)/help/$$lang; \
++			$(top_srcdir)/mkinstalldirs $(DESTDIR)$(pkgdatadir)/help/$$lang; \
+ 		fi; \
+ 	done; \
+ 	data="$(data)"; \
+ 	for lang in $$dir; do \
+ 		for file in $$data; do \
+-			$(INSTALL_DATA) $(srcdir)/$$lang/$$file $(pkgdatadir)/help/$$lang/$$file; \
++			$(INSTALL_DATA) $(srcdir)/$$lang/$$file $(DESTDIR)$(pkgdatadir)/help/$$lang/$$file; \
+ 		done; \
+ 	done;
+ 

Added: head/japanese/ebview-gtk2/files/patch-po__Makefile.in.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ebview-gtk2/files/patch-po__Makefile.in.in	Sun Jan 19 14:30:23 2014	(r340308)
@@ -0,0 +1,52 @@
+--- po/Makefile.in.in.orig
++++ po/Makefile.in.in
+@@ -115,9 +115,9 @@
+ install-data-no: all
+ install-data-yes: all
+ 	if test -r "$(MKINSTALLDIRS)"; then \
+-	  $(MKINSTALLDIRS) $(datadir); \
++	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
+ 	else \
+-	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
++	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
+ 	fi
+ 	@catalogs='$(CATALOGS)'; \
+ 	for cat in $$catalogs; do \
+@@ -129,27 +129,27 @@
+ 	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
+ 	  dir=$$destdir/$$lang/LC_MESSAGES; \
+ 	  if test -r "$(MKINSTALLDIRS)"; then \
+-	    $(MKINSTALLDIRS) $$dir; \
++	    $(MKINSTALLDIRS) $(DESTDIR)$$dir; \
+ 	  else \
+-	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
++	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$$dir; \
+ 	  fi; \
+ 	  if test -r $$cat; then \
+-	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
+-	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
++	    $(INSTALL_DATA) $$cat $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT); \
++	    echo "installing $$cat as $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+ 	  else \
+-	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
++	    $(INSTALL_DATA) $(srcdir)/$$cat $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT); \
+ 	    echo "installing $(srcdir)/$$cat as" \
+-		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
++		 "$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+ 	  fi; \
+ 	  if test -r $$cat.m; then \
+-	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
+-	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
++	    $(INSTALL_DATA) $$cat.m $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
++	    echo "installing $$cat.m as $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
+ 	  else \
+ 	    if test -r $(srcdir)/$$cat.m ; then \
+ 	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
+-		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
++		$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
+ 	      echo "installing $(srcdir)/$$cat as" \
+-		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
++		   "$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
+ 	    else \
+ 	      true; \
+ 	    fi; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-01-25 13:22:47 UTC
Author: miwi
Date: Sat Jan 25 13:22:38 2014
New Revision: 341037
URL: http://svnweb.freebsd.org/changeset/ports/341037
QAT: https://qat.redports.org/buildarchive/r341037/

Log:
  MFH: r340308
  
  - Fix build with clang
  
  PR:		185717
  Submitted by:	ports fury

Added:
  branches/2014Q1/japanese/ebview-gtk2/files/patch-data__Makefile.in
     - copied unchanged from r340308, head/japanese/ebview-gtk2/files/patch-data__Makefile.in
  branches/2014Q1/japanese/ebview-gtk2/files/patch-doc__Makefile.in
     - copied unchanged from r340308, head/japanese/ebview-gtk2/files/patch-doc__Makefile.in
  branches/2014Q1/japanese/ebview-gtk2/files/patch-po__Makefile.in.in
     - copied unchanged from r340308, head/japanese/ebview-gtk2/files/patch-po__Makefile.in.in
Modified:
  branches/2014Q1/japanese/ebview-gtk2/Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/japanese/ebview-gtk2/Makefile
==============================================================================
--- branches/2014Q1/japanese/ebview-gtk2/Makefile	Sat Jan 25 13:21:18 2014	(r341036)
+++ branches/2014Q1/japanese/ebview-gtk2/Makefile	Sat Jan 25 13:22:38 2014	(r341037)
@@ -10,36 +10,35 @@ PKGNAMESUFFIX=	-gtk2
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
+LICENSE=	GPLv2 # (or later)
 
-CONFLICTS=	ja-ebview-0*
+LIB_DEPENDS=	libeb.so:${PORTSDIR}/japanese/eb
 
-USES=		pkgconfig
-USE_GNOME=	gtk20
-USE_GMAKE=	yes
-GNU_CONFIGURE=	yes
+CONFLICTS=	ja-ebview-[0-9]*
+
+USES=		gettext gmake pkgconfig
+USE_GNOME=	gtk20 pangox-compat
 USE_CSTD=	gnu89
-CONFIGURE_ARGS+=--with-eb-conf=${LOCALBASE}/etc/eb.conf
-CPPFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-eb-conf=${LOCALBASE}/etc/eb.conf
 
 SUB_FILES=	ebview.desktop
 
-NO_STAGE=	yes
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
 post-patch:
-	@${REINPLACE_CMD} -e \
-		's|-pthread|${PTHREAD_LIBS:S/"//g}|g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|#define GTK_DISABLE_DEPRECATED 1||g' \
 		${WRKSRC}/src/ebview.c
 
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/pixmaps/ebview.xpm ${PREFIX}/share/pixmaps/
-	${INSTALL_DATA} ${WRKDIR}/${SUB_FILES} ${PREFIX}/share/applications/
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-.for file in ChangeLog README
-	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
+	(cd ${WRKDIR} && ${INSTALL_DATA} ${SUB_FILES} \
+		${STAGEDIR}${DESKTOPDIR})
+	(cd ${WRKSRC}/pixmaps && ${INSTALL_DATA} ebview.xpm \
+		${STAGEDIR}${PREFIX}/share/pixmaps)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+.for i in ChangeLog README
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor
-.endif
 
 .include <bsd.port.mk>

Copied: branches/2014Q1/japanese/ebview-gtk2/files/patch-data__Makefile.in (from r340308, head/japanese/ebview-gtk2/files/patch-data__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/japanese/ebview-gtk2/files/patch-data__Makefile.in	Sat Jan 25 13:22:38 2014	(r341037, copy of r340308, head/japanese/ebview-gtk2/files/patch-data__Makefile.in)
@@ -0,0 +1,19 @@
+--- data/Makefile.in.orig
++++ data/Makefile.in
+@@ -304,13 +304,13 @@
+ 
+ install:
+ 	if test -r $(MKINSTALLDIRS); then \
+-		$(MKINSTALLDIRS) $(pkgdatadir); \
++		$(MKINSTALLDIRS) $(DESTDIR)$(pkgdatadir); \
+ 	else \
+-		$(top_srcdir)/mkinstalldirs $(pkgdatadir); \
++		$(top_srcdir)/mkinstalldirs $(DESTDIR)$(pkgdatadir); \
+ 	fi; \
+ 	data="$(data)"; \
+ 	for file in $$data; do \
+-		$(INSTALL_DATA) $(srcdir)/$$file $(pkgdatadir)/$$file; \
++		$(INSTALL_DATA) $(srcdir)/$$file $(DESTDIR)$(pkgdatadir)/$$file; \
+ 	done;
+ 
+ # Define this as empty until I found a useful application.

Copied: branches/2014Q1/japanese/ebview-gtk2/files/patch-doc__Makefile.in (from r340308, head/japanese/ebview-gtk2/files/patch-doc__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/japanese/ebview-gtk2/files/patch-doc__Makefile.in	Sat Jan 25 13:22:38 2014	(r341037, copy of r340308, head/japanese/ebview-gtk2/files/patch-doc__Makefile.in)
@@ -0,0 +1,21 @@
+--- doc/Makefile.in.orig
++++ doc/Makefile.in
+@@ -308,15 +308,15 @@
+ 	dir="$(dir)"; \
+ 	for lang in $$dir; do \
+ 		if test -r $(MKINSTALLDIRS); then \
+-			$(MKINSTALLDIRS) $(pkgdatadir)/help/$$lang; \
++			$(MKINSTALLDIRS) $(DESTDIR)$(pkgdatadir)/help/$$lang; \
+ 		else \
+-			$(top_srcdir)/mkinstalldirs $(pkgdatadir)/help/$$lang; \
++			$(top_srcdir)/mkinstalldirs $(DESTDIR)$(pkgdatadir)/help/$$lang; \
+ 		fi; \
+ 	done; \
+ 	data="$(data)"; \
+ 	for lang in $$dir; do \
+ 		for file in $$data; do \
+-			$(INSTALL_DATA) $(srcdir)/$$lang/$$file $(pkgdatadir)/help/$$lang/$$file; \
++			$(INSTALL_DATA) $(srcdir)/$$lang/$$file $(DESTDIR)$(pkgdatadir)/help/$$lang/$$file; \
+ 		done; \
+ 	done;
+ 

Copied: branches/2014Q1/japanese/ebview-gtk2/files/patch-po__Makefile.in.in (from r340308, head/japanese/ebview-gtk2/files/patch-po__Makefile.in.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/japanese/ebview-gtk2/files/patch-po__Makefile.in.in	Sat Jan 25 13:22:38 2014	(r341037, copy of r340308, head/japanese/ebview-gtk2/files/patch-po__Makefile.in.in)
@@ -0,0 +1,52 @@
+--- po/Makefile.in.in.orig
++++ po/Makefile.in.in
+@@ -115,9 +115,9 @@
+ install-data-no: all
+ install-data-yes: all
+ 	if test -r "$(MKINSTALLDIRS)"; then \
+-	  $(MKINSTALLDIRS) $(datadir); \
++	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
+ 	else \
+-	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
++	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
+ 	fi
+ 	@catalogs='$(CATALOGS)'; \
+ 	for cat in $$catalogs; do \
+@@ -129,27 +129,27 @@
+ 	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
+ 	  dir=$$destdir/$$lang/LC_MESSAGES; \
+ 	  if test -r "$(MKINSTALLDIRS)"; then \
+-	    $(MKINSTALLDIRS) $$dir; \
++	    $(MKINSTALLDIRS) $(DESTDIR)$$dir; \
+ 	  else \
+-	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
++	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$$dir; \
+ 	  fi; \
+ 	  if test -r $$cat; then \
+-	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
+-	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
++	    $(INSTALL_DATA) $$cat $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT); \
++	    echo "installing $$cat as $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+ 	  else \
+-	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
++	    $(INSTALL_DATA) $(srcdir)/$$cat $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT); \
+ 	    echo "installing $(srcdir)/$$cat as" \
+-		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
++		 "$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+ 	  fi; \
+ 	  if test -r $$cat.m; then \
+-	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
+-	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
++	    $(INSTALL_DATA) $$cat.m $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
++	    echo "installing $$cat.m as $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
+ 	  else \
+ 	    if test -r $(srcdir)/$$cat.m ; then \
+ 	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
+-		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
++		$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
+ 	      echo "installing $(srcdir)/$$cat as" \
+-		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
++		   "$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
+ 	    else \
+ 	      true; \
+ 	    fi; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"